gd_verbose_prefix(3)

NAME
gd_verbose_prefix — set the prefix on error messages printed by GetData

SYNOPSIS
#include <getdata.h>

int gd_verbose_prefix(DIRFILE *dirfile, const char *prefix);

DESCRIPTION
The gd_verbose_prefix() sets the prefix printed before error messages output by the GetData library for the dirfile(5) database specified by dirfile. If prefix is NULL, the current prefix (if any) is deleted and no new prefix is saved.

GetData only prints error messages for a given Dirfile if opened along with the GD_VERBOSE flag, or if the flag has been subsequently set on the dirfile using gd_flags(3). If this flag is not set, this function still updates the prefix, but GetData does not use it.

If GD_VERBOSE is set, when the library encounters an error, it prints the supplied prefix (if any), followed immediately by the error message (which is the message returned by gd_error_string(3)), followed by a newline. All output goes to the standard error I/O stream (stderr(3)) of the caller.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_verbose_prefix() returns the zero. On error, it returns -1 and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_ALLOC
    The library was unable to allocate memory.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_flags(3), gd_open(3), gd_error(3), gd_error_string(3), stderr(3).